#include <hilbert/kernel/framebuffer.hpp>
#include <hilbert/kernel/panic.hpp>

namespace hilbert::kernel {
  [[noreturn]] void panic(uint32_t code) {
    framebuffer::fill_color(framebuffer::encode_color(
      code >> 16, (code >> 8) & 0xff, code & 0xff));
    while (1)
      asm ("hlt");
  }
}
